import { ArrowHeadType, Position } from '~/types';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
        required: true;
    };
    source: {
        type: import("vue").PropType<string>;
        required: true;
    };
    target: {
        type: import("vue").PropType<string>;
        required: true;
    };
    sourceX: {
        type: import("vue").PropType<number>;
        required: true;
    };
    sourceY: {
        type: import("vue").PropType<number>;
        required: true;
    };
    targetX: {
        type: import("vue").PropType<number>;
        required: true;
    };
    targetY: {
        type: import("vue").PropType<number>;
        required: true;
    };
    selected: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    animated: {
        type: import("vue").PropType<boolean | undefined>;
    };
    sourcePosition: {
        type: import("vue").PropType<Position | undefined>;
    } & {
        default: Position;
    };
    targetPosition: {
        type: import("vue").PropType<Position | undefined>;
    } & {
        default: Position;
    };
    label: {
        type: import("vue").PropType<string | {
            component: any;
            props?: any;
        } | undefined>;
    } & {
        default: () => "";
    };
    labelStyle: {
        type: import("vue").PropType<any>;
    } & {
        default: () => {};
    };
    labelShowBg: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    labelBgStyle: {
        type: import("vue").PropType<any>;
    } & {
        default: () => {};
    };
    labelBgPadding: {
        type: import("vue").PropType<[number, number] | undefined>;
    };
    labelBgBorderRadius: {
        type: import("vue").PropType<number | undefined>;
    };
    style: {
        type: import("vue").PropType<any>;
    };
    arrowHeadType: {
        type: import("vue").PropType<ArrowHeadType | undefined>;
    };
    markerEndId: {
        type: import("vue").PropType<string | undefined>;
    };
    data: {
        type: import("vue").PropType<any>;
    };
    sourceHandleId: {
        type: import("vue").PropType<string | null | undefined>;
    };
    targetHandleId: {
        type: import("vue").PropType<string | null | undefined>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    source?: unknown;
    target?: unknown;
    sourceX?: unknown;
    sourceY?: unknown;
    targetX?: unknown;
    targetY?: unknown;
    selected?: unknown;
    animated?: unknown;
    sourcePosition?: unknown;
    targetPosition?: unknown;
    label?: unknown;
    labelStyle?: unknown;
    labelShowBg?: unknown;
    labelBgStyle?: unknown;
    labelBgPadding?: unknown;
    labelBgBorderRadius?: unknown;
    style?: unknown;
    arrowHeadType?: unknown;
    markerEndId?: unknown;
    data?: unknown;
    sourceHandleId?: unknown;
    targetHandleId?: unknown;
} & {
    source: string;
    target: string;
    id: string;
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
    selected: boolean | undefined;
    sourcePosition: Position | undefined;
    targetPosition: Position | undefined;
    label: string | {
        component: any;
        props?: any;
    } | undefined;
    labelStyle: {};
    labelShowBg: boolean | undefined;
    labelBgStyle: {};
} & {
    animated?: boolean | undefined;
    labelBgPadding?: [number, number] | undefined;
    labelBgBorderRadius?: number | undefined;
    style?: unknown;
    arrowHeadType?: ArrowHeadType | undefined;
    markerEndId?: string | undefined;
    data?: unknown;
    sourceHandleId?: string | null | undefined;
    targetHandleId?: string | null | undefined;
}>, {
    selected: boolean | undefined;
    sourcePosition: Position | undefined;
    targetPosition: Position | undefined;
    label: string | {
        component: any;
        props?: any;
    } | undefined;
    labelStyle: {};
    labelShowBg: boolean | undefined;
    labelBgStyle: {};
}>;
export default _default;
